diff -ur doxygen-1.8.0/src/htmldocvisitor.cpp doxygen-1.8.0_mod/src/htmldocvisitor.cpp
--- doxygen-1.8.0/src/htmldocvisitor.cpp	2012-02-23 22:27:34.000000000 +0100
+++ doxygen-1.8.0_mod/src/htmldocvisitor.cpp	2012-07-19 15:51:34.523633500 +0200
@@ -1277,15 +1277,22 @@
     if (url.isEmpty())
     {
       m_t << "<img src=\"" << img->relPath() << img->name() << "\" alt=\"" 
-          << baseName << "\"" << htmlAttribsToString(img->attribs()) 
-          << "/>" << endl;
+          << baseName << "\"" << htmlAttribsToString(img->attribs());
     }
     else
     {
       m_t << "<img src=\"" << correctURL(url,img->relPath()) << "\" " 
-          << htmlAttribsToString(img->attribs())
-          << "/>" << endl;
+          << htmlAttribsToString(img->attribs());
     }
+    if (!img->height().isEmpty())
+    {
+      m_t << "height=\"" << img->height() << "\"";
+    }
+    if (!img->width().isEmpty())
+    {
+      m_t << "width=\"" << img->width() << "\"";
+    }
+    m_t << "/>" << endl;
     if (img->hasCaption())
     {
       m_t << "<div class=\"caption\">" << endl;
